@import url('https://fonts.googleapis.com/css2?family=Playwrite+NZ+Basic+Guides&display=swap');


.container_mp3_player {
    height: 100vh;
    width: 100vw;
    background-color: #1f1f1f;
    display: flex;
    align-items: center;
    overflow: hidden;
    justify-content: center;
}

.aligment_content_mp3_player {

    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 40px;
    flex-direction: column;
}

.mp3_player_title {

    width: 100%;
    height: 50px;
    position: relative;
    top: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#waveform {
    height: 120px;
    margin-bottom: 20px;
}


.wavve_form_mp3_cord {

    width: 100%;
    height: 50px;
    display: flex;
    overflow: hidden !important;
    align-items: center;
    justify-content: center;
}


.carousel-track-mp3-cards {
    display: flex;
    padding: 40px 0;
    transition: transform 0.5s ease-in-out;
    touch-action: pan-y;
}

.card_mp3_covers {
    width: 160px;
    max-width: 160px;
    height: 250px;
    background: #f2f2f2;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    flex-shrink: 0;

    transition:
        transform 0.6s ease-in-out;

    will-change: transform;
}

.audiobook_cover_0 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.65), rgba(0, 0, 0, 0.65)), url('/public/Assets/Imagens/Capas/receitinha.jpg');

    

}

.audiobook_cover_1 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.65), rgba(0, 0, 0, 0.65)), url('/public/Assets/Imagens/Capas/hidrata.jpg');

}

.audiobook_cover_2 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.65), rgba(0, 0, 0, 0.65)), url('/public/Assets/Imagens/Capas/banho.jpg');

}

.audiobook_cover_3 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.65), rgba(0, 0, 0, 0.65)), url(   '/public/Assets/Imagens/Capas/limao-e-mel.jpg');

}

.audiobook_cover_4 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.65), rgba(0, 0, 0, 0.65)), url('/public/Assets/Imagens/Capas/laranja-e-leite.jpg');

}

.audiobook_cover_5 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.65), rgba(0, 0, 0, 0.65)), url('/public/Assets/Imagens/Capas/AudioBooksCovers/limao_e_mel.jpg');

}

.audiobook_cover_6 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.65), rgba(0, 0, 0, 0.65)), url('/public/Assets/Imagens/Capas/AudioBooksCovers/limao_e_mel.jpg');

}

.audiobook_cover_7 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.65), rgba(0, 0, 0, 0.65)), url('/public/Assets/Imagens/Capas/AudioBooksCovers/limao_e_mel.jpg');

}

.container_cards_audio_livro {
    width: 100%;
    display: flex;
    justify-content: center;
}


.container_players_mp3 {

    width: 100%;
    height: 50px;
    display: flex;
    align-items: center;
    position: relative;
    justify-content: center;
}

.controls_alignment {

    width: 80%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.back-button {
    width: 42px;
    height: 42px;
    background-image: url('/public/Assets/Imagens/Estrutural/next.png');
    background-position: center center;
    background-size: 70%;
    transform: rotate(-180deg);
    background-repeat: no-repeat;

}

#content {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 70%;
}

.playbutton_children_icon {
    height: 100%;
    width: 100%;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 50%;
}


.close_icon_mp3_container {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 40%;
    background-image: url('/public/Assets/Imagens/Estrutural/close-MP3.png');
}


.play_button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 42px;
    height: 42px;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 70%;
}

.playbutton_children_icon.play {
    background-image: url('/public/Assets/Imagens/Estrutural/play-buttton.png');
}


.playbutton_children_icon.pause {
    background-image: url('/public/Assets/Imagens/Estrutural/pause.png');
}


.check_div_container.active {
    background-image: url('/public/Assets/Imagens/Estrutural/check.png');
    filter: invert(1);
}


.next_button {
    width: 42px;
    background-image: url('/public/Assets/Imagens/Estrutural/next.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 70%;
    height: 42px;

}

.descripition_text_content_card {

    width: 100%;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.container_last_button_alignment {

    width: 100%;
    position: relative;
    bottom: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;



}

.container_settings_buttons_mp3_core {
    width: 200px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.container_voice_change {
    width: 50px;
    height: 50px;
    background-image: url('/public/Assets/Imagens/Estrutural/worker.png');
    filter: invert(1);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 40%;
}

.line_voice_container {

    width: 160px;
    height: 100%;
    display: flex;
    position: relative;
    left: 2px;
    background-color: black;
    align-items: center;
    justify-content: center;
    border-radius: 8px;

}


.settings_button_mp3 {
    display: flex;
    align-items: center;
    width: 100%;
    overflow: hidden;
    gap: 20px;
    height: 100%;
    justify-content: space-between;
}

.text_styled_line_voice {
    font-size: 12px;
    color: white;
    user-select: none;
    font-family: 'Times New Roman', Times, serif;
    text-align: center;
}

#button_mp3_download {
    transition: transform 0.6s linear;
}

.equalizer {
    display: flex;
    align-items: flex-end;
    height: 80px;
    gap: 4px;
    margin-bottom: 20px;
}

.bar {
    width: 6px;
    height: 5px;
    background: #1db954;
    border-radius: 3px;
    transition: height 0.1s linear;
}



.progress-container-mp3-audio {
    width: 100%;
    height: 2px;
    background: #ffffff;
    border-radius: 3px;
    overflow: hidden;
    cursor: pointer;
}

#mp3IdProgressBar {
    width: 0%;
    height: 100%;
    background: #ff4322;
    transition: width 0.1s linear;
}








/* 🔵 Card ativo (frente) */
.card_mp3_covers.active {
    transform: translateZ(0) scale(1.2);
    opacity: 1;
}

/* 🔽 Cards anteriores (bem profundos) */
.card_mp3_covers.prev {
    transform: translateZ(-600px) scale(0.85);
    opacity: 0.5;
}

/* 🔽 Cards ainda mais atrás */
.card_mp3_covers.far {
    transform: translateZ(-600px) scale(0.7);
    opacity: 0.25;
}






/* BOTÃO */
.mp3_settings_button {
    position: relative;
    border: none;
    background: transparent;
    padding: 0;
    cursor: pointer;
    outline-offset: 4px;
    transition: filter 250ms;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

/* SOMBRA */
.mp3_settings_shadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    background: hsl(0deg 0% 0% / 0.25);
    will-change: transform;
    transform: translateY(2px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

/* BORDA */
.mp3_settings_edge {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    background: linear-gradient(to left,
            hsl(340, 67%, 4%) 0%,
            hsl(334, 21%, 6%) 8%,
            hsl(330, 17%, 2%) 92%,
            hsl(336, 20%, 5%) 100%);
}

/* FRENTE */
.mp3_settings_front {
    display: block;
    position: relative;
    padding: 13px 13px;
    border-radius: 100%;
    color: white;
    background-color: hsl(0, 0%, 100%);
    will-change: transform;
    transform: translateY(-4px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

/* HOVER */
.mp3_settings_button:hover {
    filter: brightness(110%);
}

.mp3_settings_button:hover .mp3_settings_front {
    transform: translateY(-6px);
    transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.mp3_settings_button:hover .mp3_settings_shadow {
    transform: translateY(4px);
    transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

/* ACTIVE */
.mp3_settings_button:active .mp3_settings_front {
    transform: translateY(-2px);
    transition: transform 34ms;
}

.mp3_settings_button:active .mp3_settings_shadow {
    transform: translateY(1px);
    transition: transform 34ms;
}

/* FOCUS */
.mp3_settings_button:focus:not(:focus-visible) {
    outline: none;
}


#player_current_tittle {
    color: white;
    transform: scale(1.2);
    font-size: 20px;

    width: 80%;
    white-space: pre-wrap;

    text-align: center;
    font-family: sans-serif;

    font-family: "Playwrite NZ Basic Guides", cursive;
    font-weight: 400;
    font-style: normal;
}


.plays {
    background-color: white;
    border-radius: 12px !important;
    display: flex;
    align-items: center;
    justify-content: center;
}



#p-content-audio-book {
    color: white;
    width: 80%;
    line-height: 28px;
    text-align: justify;
    font-family: sans-serif;
}

.muted_icon {
    background-image: url('/public/Assets/Imagens/Estrutural/low-volume.png');

    background-position: center center;
    background-repeat: no-repeat;
    background-size: 70%;
}


.download_icon {
    background-image: url('/public/Assets/Imagens/Estrutural/download.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 70%;
}



.muted_icon.muted_button {
    background-image: url('/public/Assets/Imagens/Estrutural/low-volume.png');
}

.muted_icon.vol {
    background-image: url('/public/Assets/Imagens/Estrutural/mute.png');
}

.reveal-text {
    opacity: 1;
    clip-path: inset(0 100% 0 0);
    /* escondido da direita */
    transition: clip-path 0.05s linear;
    white-space: pre-wrap;
}


.container_change_voice_line {
    width: 300px;
    height: 100px;
    background-color: black;
    border-radius: 8px;
    visibility: hidden;
    opacity: 0;
    transition: opacity 1s ease-in-out, transform 1s ease-in-out;

    pointer-events: none;
    position: absolute;
}


.container_change_voice_line.active {
    visibility: visible;
    pointer-events: auto;
    animation: surgir 1s ease-in-out;
}


.container_change_voice_line.disable {
    visibility: hidden;
    pointer-events: none;
    animation: desaparecer 1s ease-in-out;
}




.container_aligment_voice_line {

    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-evenly;
}

.line_container_voice_user_choise {
    height: 100px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.algiment_first_container_voice_choise {
    height: 100%;
    width: 70%;
    position: relative;
    left: 14px;

    display: flex;
    align-items: center;
    justify-content: center;
}


.icon_settings_voice_person {
    height: 50px;
    width: 50px;

    background-position: center center;
    background-size: 50%;
    background-repeat: no-repeat;
}

.female_voice {

    background-image: url('/public/Assets/Imagens/Estrutural/woman-avatar.png');

    filter: invert(1);
}

.Male_voice {
    background-image: url('/public/Assets/Imagens/Estrutural/worker.png');
    filter: invert(1);

}


.container_voice_change.male {
    background-image: url('/public/Assets/Imagens/Estrutural/worker.png');
    filter: invert(1);
}

.container_voice_change.female {
    background-image: url('/public/Assets/Imagens/Estrutural/woman-avatar.png');
    filter: invert(1);
}

@keyframes surgir {
    from {
        opacity: 0;
        transform: translateY(30px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes desaparecer {
    from {
        opacity: 1;
        transform: translateY(0);
    }

    to {

        transform: translateY(30px);
    }
}


.check_div_container {
    width: 40px;
    height: 40px;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 50%;
}


.download_settings_container_choise_audiobook {
    background-color: #272727;
    width: 300px;
    visibility: hidden;
    pointer-events: none;
    height: 125px;
    position: absolute;
    opacity: 0;
    transition: transform 1s ease-in-out, opacity 1s ease-in-out;
    border-radius: 5px;

}

.aligment_container_choise_audiobook {

    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}



/* CSS */
.button-34 {
    background: #ff6224;
    border-radius: 999px;
    box-shadow: #ffa977 0 10px 20px -10px;
    box-sizing: border-box;
    color: #FFFFFF;
    cursor: pointer;
    font-family: Inter, Helvetica, "Apple Color Emoji", "Segoe UI Emoji", NotoColorEmoji, "Noto Color Emoji", "Segoe UI Symbol", "Android Emoji", EmojiSymbols, -apple-system, system-ui, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", sans-serif;
    font-size: 12px;
    font-weight: 700;

    opacity: 1;
    outline: 0 solid transparent;
    padding: 8px 18px;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    width: fit-content;
    word-break: break-word;
    border: 0;
}

.text_content_audioBookChoise {

    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
}

.content_current_AUDIOBOOK {
    text-align: center;
    font-family: sans-serif;
    font-size: 14px;
    color: white;
    line-height: 33px;
    white-space: pre-wrap;
}

.cover_current_AUDIOBOOK {
    width: 100%;
    height: 70px;
}


.cover_audiobook_select_view {
    height: 100%;
    width: 100%;

    background-image: url('/public/Assets/Imagens/Capas/Anotacoes_Capa.jpg');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    transform: scale(1.8);

}

.user_select_audio_book {
    position: relative;
    width: 160px;
    font-family: sans-serif;
}

.user_select_audio_book .select_selected {
    padding: 8px;
    background: #1e1e1e;
    color: #fff;
    font-size: 14px !important;
    border-radius: 8px;
    cursor: pointer;
    user-select: none;
}

.user_select_audio_book .select_options {
    list-style: none;
    margin: 6px 0 0;
    padding: 0;
    position: absolute;
    width: 100%;
    background: #2a2a2a;
    border-radius: 8px;
    overflow: hidden;
    display: none;
    z-index: 10;
}

.user_select_audio_book.active .select_options {
    display: block;
}

.user_select_audio_book .select_options li {
    padding: 10px 12px;
    cursor: pointer;
    color: #fff;
}

.user_select_audio_book .select_options li:hover {
    background: #3a3a3a;
}


.li_select_audio {
    font-size: 13px;
    white-space: pre-wrap;
}


.current_time_container {
    position: absolute;
    left: 50%;
    transform: translate(-50%, 5px);
}


.__audio_file_downloadcustom-select {

    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 90%;
    height: 50%;
    font-family: system-ui, sans-serif;
}

.__audio_file_downloadselect-trigger {
    background: linear-gradient(135deg, #000000, #000000);
    color: #fff;
    width: 100%;
    height: 75%;
    text-align: center;

    align-items: center;

    border-radius: 5px;
    cursor: pointer;
    display: flex;
    justify-content: space-around;
    align-items: center;
    box-shadow: 0 10px 25px rgba(0, 0, 0, .25);
    transition: transform .2s, box-shadow .2s;
}

.__audio_file_downloadselect-trigger:hover {
    transform: translateY(-1px);
    box-shadow: 0 14px 30px rgba(0, 0, 0, .35);
}

.__audio_file_downloadarrow {
    transition: transform .3s;
}

.__audio_file_downloadcustom-select.__audio_file_downloadopen .__audio_file_downloadarrow {
    transform: rotate(180deg);
}

/* dropdown */
.__audio_file_downloadselect-options {
    position: absolute;
    bottom: calc(100% + 10px);
    left: 0;
    width: 100%;
    background: #1c1c2b;
    border-radius: 14px;
    list-style: none;
    padding: 8px;
    margin: 0;
    box-shadow: 0 20px 40px rgba(0, 0, 0, .4);
    opacity: 0;
    pointer-events: none;
    transform: translateY(-10px);
    transition: all .25s ease;
    z-index: 10;
}

.__audio_file_downloadcustom-select.__audio_file_downloadopen .__audio_file_downloadselect-options {
    opacity: 1;
    pointer-events: auto;
    transform: translateY(0);
}

.__audio_file_downloadselect-options li {
    padding: 12px 14px;
    border-radius: 10px;
    color: #ddd;
    cursor: pointer;
    transition: background .2s, color .2s;
}

.__audio_file_downloadselect-options li:hover {
    background: linear-gradient(135deg, #6a5acd, #836fff);
    color: #fff;
}

/* botão */
#__audio_file_downloaddownloadBtn {


    border-radius: 12px;
    border: none;
    font-size: 15px;
    width: 200px;
    height: 40px;
    cursor: pointer;
    background: linear-gradient(135deg, #000000, #000000);
    color: #fff;
    box-shadow: 0 10px 20px rgba(0, 0, 0, .3);
    transition: opacity .2s, transform .2s;
}

#__audio_file_downloaddownloadBtn:disabled {
    opacity: .5;
    cursor: not-allowed;
}

#__audio_file_downloaddownloadBtn:not(:disabled):hover {
    transform: translateY(-1px);
}


#styled_card_title {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: white;
    font-family: "Antic Didone", serif;
    font-weight: 400;
    line-height: 22px;
    font-size: 15px !important;
    white-space: pre-wrap;
    font-style: normal;
}

.cover_line_margin{
    width: 100%;
    height: 100%;
    overflow: hidden;
    padding: 0;
    display: flex;
    align-items: center;
    justify-self: center;
}


